using Godot;
using System;

public partial class SceneChangeButton : Button
{
	void _on_pressed()
	{
		if (GetTree().Root.GetNode("Camera").HasNode("MenuChangeManager") == false) // makes sure the menu is not currently being changed
		GetTree().Root.GetNode("CommonData").GetNode<ChangeMenuInitiator>("ChangeMenuInitiator").ChangeMenu("SLOW", "Level1", GetParent().Name);
	}
}
